## ZpjSkydriveFolder ZpjSkydriveFolder — Skydrive folder object. |

## Functions

ZpjSkydriveEntry * | zpj_skydrive_folder_new ()

## Types and Values

#define | ZPJ_SKYDRIVE_FOLDER_SKYDRIVE
#define | ZPJ_SKYDRIVE_FOLDER_MY_DOCUMENTS
#define | ZPJ_SKYDRIVE_FOLDER_MY_PHOTOS
#define | ZPJ_SKYDRIVE_FOLDER_PUBLIC_DOCUMENTS
struct | ZpjSkydriveFolder
struct | ZpjSkydriveFolderClass

## Object Hierarchy

        GObject
        ╰── ZpjSkydriveEntry
            ╰── ZpjSkydriveFolder

## Includes

    #include <zpj/zpj.h>

## Description

ZpjSkydriveFolder represents a Skydrive folder object.

## Functions

### zpj_skydrive_folder_new ()

    ZpjSkydriveEntry *
    zpj_skydrive_folder_new (JsonNode *node);

Creates a new ZpjSkydriveFolder from the given `node` . If you already know the ID of the folder then you can use `zpj_skydrive_query_info_from_id()`.

#### Parameters

node | A JsonNode returned by the server. |

#### Returns

A new ZpjSkydriveFolder. Free the returned object with `g_object_unref()`.

[transfer full]

## Types and Values

### ZPJ_SKYDRIVE_FOLDER_SKYDRIVE

    #define ZPJ_SKYDRIVE_FOLDER_SKYDRIVE "me/skydrive"

Friendly name for the Skydrive top-level folder. It can be used as the “id” and “parent_id”.

### ZPJ_SKYDRIVE_FOLDER_MY_DOCUMENTS

    #define ZPJ_SKYDRIVE_FOLDER_MY_DOCUMENTS "me/skydrive/my_documents"

Friendly name for the Documents folder. It can be used as the “id” and “parent_id”.

### ZPJ_SKYDRIVE_FOLDER_MY_PHOTOS

    #define ZPJ_SKYDRIVE_FOLDER_MY_PHOTOS "me/skydrive/my_photos"

Friendly name for the Pictures folder. It can be used as the “id” and “parent_id”.

### ZPJ_SKYDRIVE_FOLDER_PUBLIC_DOCUMENTS

    #define ZPJ_SKYDRIVE_FOLDER_PUBLIC_DOCUMENTS "me/skydrive/public_documents"

Friendly name for the Public folder. It can be used as the “id” and “parent_id”.

### struct ZpjSkydriveFolder

    struct ZpjSkydriveFolder;

The ZpjSkydriveFolder structure contains only private data and should only be accessed using the provided API.

### struct ZpjSkydriveFolderClass

    struct ZpjSkydriveFolderClass {
      ZpjSkydriveEntryClass parent_class;
    };

Class structure for ZpjSkydriveFolder.

#### Members